<?
set_time_limit(0);
require("../../conexion/conectar.php");

$conexion = new CONDB();
$conexion->conectar();

$query="select uuidcfdirelacionado as uuid from recibedoce r join recibedoce_pagos rp on r.uuid=rp.recibedoce_UUID join recibedoce_pagos_docto_relacionado rpd on rp.recibedoce_pagos_ID = rpd.recibedoce_pagos_ID where fechaRecibido >= '2020-10-19T00:00:00' and tipodocto='P CFDI 3.3';";

if($rQuery = mysqli_query($conexion->CONEXION,$query)){
	if(mysqli_num_rows($rQuery) > 0){
		$errores_no=0;
		$errores="";
		$arrUUID = array();
		$con=0;
		while($tmp = mysqli_fetch_assoc($rQuery)){
			if(!in_array($tmp["uuid"],$arrUUID)){
				$arrUUID[]=$tmp["uuid"];
				// if($tmp["uuid"] == "4B048603-FC2D-4426-8C2D-4F94481B5A58"){
					
					$qry = "call SP_CalculaTotalPagoUUIDRelacionadoEnComplemento('".$tmp["uuid"]."')";
					if(mysqli_query($conexion->CONEXION,$qry)){
						writeLog("CalculaTotalPagoUUIDRelacionadoEnComplementoTodo",$tmp["uuid"]." actualizado",0,1);
					}else{
						$errores_no++;
						// $errores.=mysqli_error($conexion->CONEXION)."<br/>";
						writeLog("CalculaTotalPagoUUIDRelacionadoEnComplementoTodo",$tmp["uuid"]." Error: ".mysqli_error($conexion->CONEXION),1,0);
					}
					mysqli_next_result($conexion->CONEXION);
					$con++;
					// if($con == 4){
						// exit;
					// }
				// }
			}
		}
		echo "No. Errores: ".$errores_no."<br/>";
		// echo "Mensajes de Error: ".$errores;
		// var_dump($arrUUID);
	}
}
function writeLog($nombreArchivo, $mensaje, $log, $debug){
		$logArchivo = $nombreArchivo."_".date("Ymd").".log";
		$debugArchivo = $nombreArchivo."_".date("Ymd").".debug";
		if($log == 1){
			if(file_exists($logArchivo)){$fp = fopen($logArchivo,"a+");}else{$fp = fopen($logArchivo,"w+");}
			$fecha = date("Y-m-d-TH:i:s");
			fwrite($fp,"\r\n".$fecha." -> ".$mensaje);
			fclose($fp);
		}
		if($debug == 1){
			if(file_exists($debugArchivo)){$fp = fopen($debugArchivo,"a+");}else{$fp = fopen($debugArchivo,"w+");}
			$fecha = date("Y-m-d-TH:i:s");
			fwrite($fp,"\r\n".$fecha." -> ".$mensaje);
			fclose($fp);
		}
	}
?>